> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Subscribe to events

> Creates a new subscription



## OpenAPI

````yaml /api-reference/oda-subscriptions-service-1.0.0.yml post /subscriptions/commands/add-queue-subscription
openapi: 3.0.1
info:
  title: oda-subscriptions-service
  version: 1.0.0
servers: []
security: []
paths:
  /subscriptions/commands/add-queue-subscription:
    post:
      summary: Subscribe to events
      description: Creates a new subscription
      operationId: addSubscription
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddSubscription.AddSubscriptionCommand'
        required: true
      responses:
        '200':
          description: Subscription successfully created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Void'
components:
  schemas:
    AddSubscription.AddSubscriptionCommand:
      required:
        - events
      type: object
      properties:
        events:
          type: array
          items:
            type: string
    Void:
      type: object

````